package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="alert_mst")
public class AlertMst implements Serializable{
	
	@Column(name="legal_entity_code")
	private int legalEntityCode;
	
	@Id
	@Column(name="sequence_no")
	private int sequenceNo;
	
	@Column(name="alerts_code")
	private String alertsCode;
	
	@Column(name="user_id")
	private String userId;
	
	@Column(name="col_header")
	private String colHeader;
	
	@Column(name="col_value")
	private String colValue;

	@Column(name="maker")
	private String maker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	
	public int getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(int legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public int getSequenceNo() {
		return sequenceNo;
	}

	public void setSequenceNo(int sequenceNo) {
		this.sequenceNo = sequenceNo;
	}

	public String getAlertsCode() {
		return alertsCode;
	}

	public void setAlertsCode(String alertsCode) {
		this.alertsCode = alertsCode;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getColHeader() {
		return colHeader;
	}

	public void setColHeader(String colHeader) {
		this.colHeader = colHeader;
	}

	public String getColValue() {
		return colValue;
	}

	public void setColValue(String colValue) {
		this.colValue = colValue;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	
}
